Bug 1013866 - USB3 doesn't retry
USB3 doesn't retry
Status: CLOSED WONTFIX
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Brian Brock
:
Depends On: 1013769
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 20:54 EDT by Greg Nichols
Modified: 2015-07-13 09:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: hwcert-client 1.7.0-60
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1013769
Environment:
Last Closed: 2015-07-13 09:55:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
usb test patch to allow retry after wrong version device is plugged-in (833 bytes, patch)
2013-10-09 13:14 EDT, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2013-09-30 20:54:16 EDT
+++ This bug was initially created as a clone of Bug #1013769 +++

Description of problem:

When running the USB3 test, if the device is plugged into a USB2 port the test just fails.  It should tell the user that usb2 was detected and ask the user if they want to retry or not.

Version-Release number of selected component (if applicable):

hwcert-client-1.6.5-16.el6.noarch

How reproducible:

Everytime


Steps to Reproduce:
1. run hwcert-backend run --test USB3
2. respond with 1 USB3 port (as this system only has 1)
3. plug USB3 device (already confirmed in the USB3 port with the USB3 test) into one of the USB2 ports.

Actual results:

The test reports a fail and immediately launches the info test.

Expected results:

The test would report USB2 has been used and not pass, but inform the user and ask if they want to try again.  If not, then record as a fail; if so, try again for the number of ports similar to how the usb test used to do.

Additional info:

--- Additional comment from Greg Nichols on 2013-09-30 20:45:08 EDT ---
Comment 1 Greg Nichols 2013-10-09 13:14:24 EDT
Created attachment 810058 [details]
usb test patch to allow retry after wrong version device is plugged-in
Comment 5 brose 2015-07-13 09:55:40 EDT
Closing as hwcert-client is obsolete.
Please use redhat-certification-hardware instead.

Note You need to log in before you can comment on or make changes to this bug.